---
title: "Historical contract: Add offer to cart"
description: "Historical Ordering.co API contract for POST /{api_version}/{language}/{project} /carts/add_offer, kept for reference."
canonical: https://docs.ordering.co/api-reference/guides/history/add-offer-to-cart/
---

# Historical contract: Add offer to cart

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Add offer to cart

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/carts/POST/carts/add_offer)

## Parameters

```json
[
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  }
]
```

## Request body

```json
{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "bussines_id",
          "offer_id",
          "coupon"
        ],
        "properties": {
          "bussines_id": {
            "type": "integer",
            "format": "int32"
          },
          "offer_id": {
            "type": "integer",
            "format": "int32"
          },
          "coupon": {
            "type": "string"
          },
          "force": {
            "type": "boolean"
          }
        }
      }
    }
  }
}
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
